changeset 15584:22e39b6bef32

run-test.sh didn't exit with failure code when the test failed
author Timo Sirainen <tss@iki.fi>
date Tue, 08 Jan 2013 03:25:55 +0200
parents 425dc9afd023
children 6a19df272459
files run-test.sh
diffstat 1 files changed, 3 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/run-test.sh	Tue Jan 08 03:03:21 2013 +0200
+++ b/run-test.sh	Tue Jan 08 03:25:55 2013 +0200
@@ -5,11 +5,14 @@
 if valgrind --version | grep '^valgrind-3.[012]'; then
   # RHEL 5.4 still has Valgrind v3.2
   valgrind -q --log-file-exactly=test.out.$$ $*
+  ret=$?
 else
   # v3.3+
   valgrind -q --log-file=test.out.$$ $*
+  ret=$?
 fi
 if [ -s test.out.$$ ]; then
   cat test.out.$$
   exit 1
 fi
+exit $ret